C API Functions

## udbKindParse

### Description

Parse the specified text containing one or more comma separated groups of one or more kind names. Return an allocated kindlist of all kinds that match the specified text. Returns NULL if no kinds match.

A kind must match the criteria specified within any comma separated list of kind names. In order to match the criteria of a list of kind names, a kind must have in its fullname, every name listed in the list of names, and must not have in its fullname, any names listed in the list of names that begin with '~'. An explanation of kind names with examples is provided in Kind Name Usage

Refer to the language-specific listings of entity and reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     UdbKindList  udbKindParse(char *text)

### Arguments

Argument | description
char *text | Specify one or more comma separated groups of one or more kind names.

### Return Values

Return Value | description
UdbKindList | Return an allocated kindlist of all kinds that match the specified text.

### Example Usage

     kinds = udbKindParse("c global object ~static");

### See Also

udbKindList to add a specified kind to the specified kindlist.

udbKindListFree to free the kindlist.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com